> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel send money

> Cancel a send money payment file before processing.



## OpenAPI

````yaml /openapi.yml post /send-money/cancel
openapi: 3.0.0
info:
  title: KulmiPay API
  description: >-
    Public API reference for KulmiPay collections, Send Money, wallets, refunds,
    and M-Pesa account configuration.
  version: 1.0.0
servers:
  - url: https://sandbox.kulmipay.com/api/v1
    description: Sandbox
  - url: https://app.kulmipay.com/api/v1
    description: Live
security:
  - SecretAPIKeyScheme: []
tags:
  - name: Collections
    description: >-
      Create hosted checkout sessions, M-Pesa STK Push requests, and payment
      status checks.
  - name: Send Money
    description: Initiate, approve, cancel, and track payout files.
  - name: Wallet as a Service
    description: Manage wallets, statements, wallet funding, and internal transfers.
  - name: Refunds
    description: Create and retrieve refund requests through the chargebacks API.
  - name: Bring Your M-Pesa Till/PayBill Number
    description: Configure M-Pesa Till and PayBill accounts.
  - name: Webhooks
    description: Retrieve webhook configuration and delivery events.
paths:
  /send-money/cancel:
    parameters: []
    post:
      tags:
        - Send Money
      summary: Cancel send money
      description: Cancel a send money payment file before processing.
      operationId: send-money_cancel_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendMoneyCancel'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendMoneyResult'
components:
  schemas:
    SendMoneyCancel:
      required:
        - file_id
      type: object
      properties:
        file_id:
          title: File id
          type: string
          minLength: 1
    SendMoneyResult:
      required:
        - transactions
        - wallet
      type: object
      properties:
        file_id:
          title: File id
          type: string
          readOnly: true
        tracking_id:
          title: Tracking id
          type: string
          format: uuid
        batch_reference:
          title: Batch reference
          type: string
          maxLength: 70
          nullable: true
        status:
          title: Status
          type: string
          readOnly: true
        status_code:
          title: Status code
          type: string
          readOnly: true
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsResultSer'
        actual_charges:
          title: Actual charges
          type: string
          readOnly: true
        paid_amount:
          title: Paid amount
          type: string
          readOnly: true
        failed_amount:
          title: Failed amount
          type: string
          readOnly: true
        wallet:
          $ref: '#/components/schemas/WalletSer'
        charge_estimate:
          title: Charge estimate
          type: string
          readOnly: true
        total_amount_estimate:
          title: Total amount estimate
          type: string
          readOnly: true
        total_amount:
          title: Total amount
          type: string
          readOnly: true
        transactions_count:
          title: Transactions count
          type: string
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
          nullable: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
          nullable: true
    TransactionsResultSer:
      required:
        - account
        - amount
      type: object
      properties:
        transaction_id:
          title: Transaction id
          type: string
          readOnly: true
        status:
          title: Status
          type: string
          readOnly: true
        status_code:
          title: Status code
          type: string
          readOnly: true
        request_reference_id:
          title: Request reference id
          type: string
          format: uuid
        provider:
          title: Provider
          type: string
          readOnly: true
        bank_code:
          title: Bank code
          type: string
          enum:
            - '1'
            - '2'
            - '3'
            - '7'
            - '10'
            - '11'
            - '12'
            - '14'
            - '16'
            - '17'
            - '18'
            - '19'
            - '23'
            - '25'
            - '31'
            - '35'
            - '43'
            - '49'
            - '50'
            - '51'
            - '53'
            - '54'
            - '55'
            - '57'
            - '63'
            - '66'
            - '68'
            - '70'
            - '72'
            - '74'
            - '76'
            - '78'
            - '61'
            - '65'
            - '89'
            - '97'
          nullable: true
        name:
          title: Name
          description: Beneficiary name as per Client Records
          type: string
          pattern: ^[a-zA-Z0-9-_ ]+$
          maxLength: 240
          nullable: true
        account:
          title: Account
          description: Phone number, bank account number etc
          type: string
          pattern: ^([\s\d]+)$
          maxLength: 24
          minLength: 1
        account_type:
          title: Account type
          description: Optional account type for classification e.g TillNumber and PayBill
          type: string
          enum:
            - TillNumber
            - PayBill
          nullable: true
        account_reference:
          title: Account reference
          description: Account reference. Required for M-Pesa PayBill option
          type: string
          maxLength: 20
          nullable: true
        provider_reference:
          title: Provider reference
          type: string
          readOnly: true
        provider_account_name:
          title: Provider account name
          type: string
          readOnly: true
        amount:
          title: Amount
          type: string
          format: decimal
        charge:
          title: Charge
          type: string
          format: decimal
        narrative:
          title: Narrative
          type: string
          pattern: ^[a-zA-Z0-9-_ ]+$
          maxLength: 240
          nullable: true
        file_id:
          title: File id
          type: string
          readOnly: true
        currency:
          title: Currency
          type: string
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
          nullable: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
          nullable: true
    WalletSer:
      required:
        - available_balance
      type: object
      properties:
        wallet_id:
          title: Wallet id
          type: string
          readOnly: true
        label:
          title: Label
          type: string
          pattern: ^[a-zA-Z0-9-_ ]+$
          maxLength: 40
          minLength: 1
        can_disburse:
          title: Can disburse
          type: boolean
        currency:
          title: Currency
          type: string
          enum:
            - KES
            - USD
            - EUR
            - GBP
        wallet_type:
          title: Wallet type
          type: string
          enum:
            - SETTLEMENT
            - WORKING
        current_balance:
          title: Current balance
          type: string
          format: decimal
          readOnly: true
        available_balance:
          title: Available balance
          type: string
          format: decimal
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
          nullable: true
  securitySchemes:
    SecretAPIKeyScheme:
      type: http
      scheme: bearer
      description: Use your KulmiPay secret key as the Bearer token.
      x-default: ISSecretKey_test_xxxxxxxxxxxxxxxx

````